import { Regions } from '../constants/regions';
import { IEndpoint } from '../endpoints';
import { ApiResponseDTO } from '../dto/ApiResponse/ApiResponse.dto';
import { IBaseApiParams, IParams } from './base.utils';
export declare class BaseApi {
    private readonly baseUrl;
    private readonly retryInterval;
    private key;
    private rateLimitRetry;
    private rateLimitRetryAttempts;
    constructor();
    constructor(params: IBaseApiParams);
    /**
     * Base api
     * @param key Riot games api key
     */
    constructor(key: string);
    private setRateLimitsParams;
    private getRateLimits;
    private getApiUrl;
    private isRateLimitError;
    private isServiceUnavailableError;
    private getError;
    private internalRequest;
    private retryRateLimit;
    protected getParam(): IBaseApiParams;
    protected request<T>(region: Regions, endpoint: IEndpoint, params?: IParams, forceError?: boolean, qs?: any): Promise<ApiResponseDTO<T>>;
}
