import { Regions } from '../../constants';
import { BaseApi } from '../base';
import { ChampionMasteryDTO } from '../../dto/Champion/ChampionMastery.dto';
import { ChampionsScoreDTO } from '../../dto/Champion/ChampionsScore.dto';
/**
 * Third party methods
 */
export declare class ChampionApi extends BaseApi {
    /**
     * Get champion rotation
     * @param region Riot region
     */
    rotation(region: Regions): Promise<import("../../dto").ApiResponseDTO<unknown>>;
    /**
     * Champion mastery by summoner
     * @param encryptedSummonerId
     * @param region
     */
    masteryBySummoner(encryptedSummonerId: string, region: Regions): Promise<import("../../dto").ApiResponseDTO<ChampionMasteryDTO[]>>;
    /**
     * Champion mastery by summoner
     * @param encryptedSummonerId
     * @param region
     */
    masteryBySummonerChampion(encryptedSummonerId: string, championId: number, region: Regions): Promise<import("../../dto").ApiResponseDTO<ChampionMasteryDTO>>;
    /**
     * Champions mastery score
     * @param encryptedSummonerId
     * @param region
     */
    championsScore(encryptedSummonerId: string, region: Regions): Promise<ChampionsScoreDTO>;
}
