import { RealmServers } from '../../constants/realmServers';
import { RealmDTO, ChampionsDataDragon, QueuesDataDragonDTO, GameModesDataDragonDTO } from '../../dto';
import { Champions } from '../../constants/champions';
import { ChampionsDataDragonDetailsSolo } from '../../dto/DataDragon/Champions.datadragon.dto';
import { MapsDataDragonDTO } from '../../dto/DataDragon/Maps.datadragon.dto';
import { GameTypesDataDragonDTO } from '../../dto/DataDragon/GameTypes.datadragon.dto';
/**
 * Data Dragon is our way of centralizing League of Legends game data and assets, including champions, items, runes, summoner spells, and profile icons. All of which can be used by third-party developers. You can download a gzipped tar file (.tar.gz) for each patch which will contain all assets for that patch.
 * https://ddragon.Lol.com/cdn/dragontail-9.20.1.tgz
 * Please be aware that updating Data Dragon after each League of Legends patch is a manual process, so it is not always updated immediately after a patch. Your patience is appreciated.
 */
export declare class DataDragonService {
    private request;
    getRealms(server: RealmServers): Promise<RealmDTO>;
    getVersions(): Promise<string[]>;
    getLanguages(): Promise<string[]>;
    getChampion(): Promise<ChampionsDataDragon>;
    getChampion(champ: Champions): Promise<ChampionsDataDragonDetailsSolo>;
    getQueues(): Promise<QueuesDataDragonDTO[]>;
    getSeasons(): Promise<{
        id: number;
        season: string;
    }[]>;
    getMaps(): Promise<MapsDataDragonDTO>;
    getGameModes(): Promise<GameModesDataDragonDTO>;
    getGameTypes(): Promise<GameTypesDataDragonDTO>;
}
