import { BaseApi } from '../base';
import { MatchListingDto } from '../../dto/Match/MatchListing/MatchListing.dto';
import { Regions } from '../../constants';
import { MatchDto } from '../../dto/Match/Match/Match.dto';
import { MatchTimelineDto } from '../../dto/Match/MatchTimeLine/MatchTimeLine.dto';
import { MatchQueryDTO } from '../../dto/Match/Query/MatchQuery.dto';
import { GenericError } from '../../errors';
import { ApiResponseDTO } from '../../dto';
/**
 * Match methods
 */
export declare class MatchApi extends BaseApi {
    generateResponse(error: GenericError): ApiResponseDTO<MatchListingDto>;
    /**
     * Get match details
     * @param matchId Match id
     * @param region
     */
    get(matchId: number, region: Regions): Promise<ApiResponseDTO<MatchDto>>;
    /**
     * Summoner match listing
     * @param encryptedAccountId Encrypted summoner ID. Max length 63 characters.
     * @param region
     */
    list(encryptedAccountId: string, region: Regions, query?: MatchQueryDTO): Promise<ApiResponseDTO<MatchListingDto>>;
    timeline(matchId: number, region: Regions): Promise<ApiResponseDTO<MatchTimelineDto>>;
}
