import { BaseApi } from '../base';
import { Regions } from '../../constants';
import { FeaturedGamesDTO } from '../../dto/Spectator/FeaturedGames.dto';
import { CurrentGameInfoDTO } from '../../dto/Spectator/CurrentGameInfo.dto';
import { SpectatorNotAvailableDTO } from '../../dto/Spectator/SpectatorNotAvailable.dto';
export declare class SpectatorApi extends BaseApi {
    private errorHandler;
    /**
     * Get featured games
     * @param region
     */
    featuredGames(region: Regions): Promise<import("../../dto").ApiResponseDTO<FeaturedGamesDTO>>;
    /**
     * Get summoner active game
     * @param encryptedSummonerId
     * @param region
     */
    activeGame(encryptedSummonerId: string, region: Regions): Promise<SpectatorNotAvailableDTO | import("../../dto").ApiResponseDTO<CurrentGameInfoDTO>>;
}
