import { BaseApi } from '../base';
import { SummonerV4DTO } from '../../dto/Summoner/Summoner.dto';
import { Regions } from '../../constants';
/**
 * Summoner methods
 */
export declare class SummonerApi extends BaseApi {
    private parsePath;
    private genericRequest;
    /**
     * Get by name
     * @param summonerName Summoner name
     * @param region Riot region
     */
    getByName(summonerName: string, region: Regions): Promise<import("../../dto").ApiResponseDTO<SummonerV4DTO>>;
    /**
     * Get by id
     * @param id Summoner id
     * @param region Riot region
     */
    getById(id: string, region: Regions): Promise<import("../../dto").ApiResponseDTO<SummonerV4DTO>>;
    /**
     * Get by PUUID
     * @param puuid
     * @param region Riot region
     */
    getByPUUID(puuid: string, region: Regions): Promise<import("../../dto").ApiResponseDTO<SummonerV4DTO>>;
    /**
     * Get by PUUID
     * @param puuid
     * @param region Riot region
     */
    getByAccountID(accountId: string, region: Regions): Promise<import("../../dto").ApiResponseDTO<SummonerV4DTO>>;
}
